/* CSS RESETS */
*, 
*:after,
*:before {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
}

body{
    font-size: 100%;
    list-style-type: none;
}

/* FOOTER */
html {
    --footerHeight: 6.75rem;
}

footer {
    padding: 0 5%;
    height: var(--footerHeight);
    width: 100%;
    background-color: #647167;
    
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: nowrap;
    gap: 1rem;
}

footer .direitos-de-uso {  
    font-family: 'Montserrat', sans-serif;
    font-size: 1.125rem;
    color: #fff;
}

footer .logo-footer {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: nowrap;
}

footer .logo-footer > img {
    height: 6.75rem;
}

footer .logo-footer-montanha {
    filter: drop-shadow(0rem .25rem .25rem rgba(0, 0, 0, 0.25));
}

/* MEDIA QUERIES */

@media only screen and (max-width: 1400px){
    html {
        --footerHeight: 5rem;
    }

    footer .direitos-de-uso {
        font-size: .875rem;
    }

    footer .logo-footer > img {
        height: 5rem;
    }
}

@media only screen and (max-width: 750px){
    html {
    --footerHeight: 4rem;
    }

    footer .direitos-de-uso {
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        gap: .5rem;
        font-size: .75rem;
    }
    
    footer .logo-footer > img {
        height: 4rem;
    }
}

@media only screen and (max-width: 500px) {
    footer {
        padding: 1rem 5%;
        height: auto;
        flex-direction: column;
        justify-content: center;
    }

    footer .direitos-de-uso {
        align-items: center;
        font-size: .75rem;
    }
}